//Deletes some attributes from the object. Wild cards are supported.
//Requires Support_DynamicObjectMethods.cs.
function SimObject::deleteAttributes(%this, %name)
{
	if((%wildPos = striPos(%name, "*")) == -1)
		return %this.setAttribute(%name, "");

	%index = 0;
	while((%field = %this.getTaggedField(%index)) !$= "")
	{
		//some fields cannot be changed once set...
		if(getSubStr(%field, 0, %wildPos - 1) !$= getSubStr(%name, 0, %wildPos - 1) || %lastField $= %field)
		{
			%index++;

			continue;
		}

		%lastField = %field;
		%this.setAttribute(getField(%field, 0), "");
	}
}